summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-system/bin/checkrestore
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/LinHES-system/bin/checkrestore')
-rwxr-xr-xabs/core/LinHES-system/bin/checkrestore16
1 files changed, 16 insertions, 0 deletions
diff --git a/abs/core/LinHES-system/bin/checkrestore b/abs/core/LinHES-system/bin/checkrestore
new file mode 100755
index 0000000..ef0360c
--- /dev/null
+++ b/abs/core/LinHES-system/bin/checkrestore
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+#----------------------------------------------------------------------------
+. /usr/LH/bin/backupcommon || {
+ echo 1>&2 "Can not load common settings!"
+ exit 1
+}
+#----------------------------------------------------------------------------
+
+if check_files_and_tables $RESTORE_LIST ; then
+ echo "Restore passes all checks."
+ exit 0
+else
+ echo "The restore failed or was already modified!"
+ exit 1
+fi